%define upstream_name	 YAML-AppConfig
%define upstream_version 0.16

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 3

Summary: 	Manage configuration files with YAML and variable reference
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:     YAML-AppConfig-0.16-fix-warning.patch
Requires:	    perl-YAML-parser
BuildRequires:	perl-YAML-parser
BuildArch:      noarch

%description
YAML::AppConfig extends the work done in Config::YAML and YAML::ConfigFile to
allow more flexiable configuration files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc META.yml
%{_mandir}/*/*
%{perl_vendorlib}/YAML


%changelog

* Sat Nov 26 2011 guillomovitch <guillomovitch> 0.160.0-3.mga2
+ Revision: 172218
- fix warnings (cpan bug #65539)

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-2.mga1
+ Revision: 32788
- mageia rebuild
- imported package perl-YAML-AppConfig


* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 0.160.0-2mdv2011.0
+ Revision: 580731
- rebuild

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 401809
- rebuild using %%perl_convert_version
- fixed license field

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-8mdv2009.1
+ Revision: 324627
- requires any perl YAML parser
- fix dependencies

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.16-6mdv2009.0
+ Revision: 258886
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.16-5mdv2009.0
+ Revision: 246793
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-3mdv2008.1
+ Revision: 133737
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-2mdv2007.0
- buildrequires perl(YAML)

* Tue Oct 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2007.0
- first mdv release

